Skip to content
WP EngineDocumentation

Get the domains for an install by install id

GET
/installs/{install_id}/domains
curl --request GET \
--url 'https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/domains?limit=100&offset=100' \
--header 'Authorization: Basic <credentials>'

Returns domains for a specific install

install_id
required
string format: uuid

ID of install

Example
294deacc-d8b8-4005-82c4-0727ba8ddde0
limit
integer
default: 100 <= 100

(Optional) The number of records to return

Example
100
offset
integer
0

(Optional) The first record of the result set to be retrieved

Example
100

List of domains for install

Media typeapplication/json
object
previous

Path to the previous page of results

string
nullable
next

Path to the next page of results

string
nullable
count

The total number of results

integer
results
Array<object>
object
name
required
string
duplicate
required
boolean
primary
required
boolean
id
required
string
network_type

The WP Engine network type configured for the domain. Possible values are ‘AN’ (Advanced Network) ‘GES’ (Global Edge Security) and ‘LEGACY’.

string
network_details

Details about the network configuration for the domain.

object
dns_config_info

DNS configuration information for the domain.

object
cname

The CNAME value to use to configure a DNS CNAME record for the domain.

string
a_records

IP addresses that can be used to configure a DNS A record for the domain.

Array<string>
network_info
object
status

The status of the network configuration for the domain.

string
ssl

SSL configuration status

object
status
string
redirects_to
Array<object>
object
id
string format: uuid
name
string
secure_all_urls
required
boolean
txt_verified_time

The time when the TXT record was verified

string
nullable
txt_verified_domain

The domain that the TXT record was verified for

string
txt_verification_key

The TXT record verification key. Null if the domain is already verified.

string
nullable
txt_verification_value

The TXT record verification value. Null if the domain is already verified.

string
nullable
ownership_status

Ownership verification status of the domain.

  • TXT_VERIFIED indicates the domain ownership has been verified.
  • TXT_VERIFICATION_PENDING indicates the domain ownership still requires verification using TXT record.

NOTE: To verify the domain, a DNS TXT record must be added to your domain registry using the txt_verification_key and txt_verification_value fields provided with the domain. After the TXT record is in place, POST to /installs/{install_id}/domains/{domain_id}/verification to complete verification.

string
Allowed values: TXT_VERIFIED TXT_VERIFICATION_PENDING
Example
{
"previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0",
"next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200",
"count": 225,
"results": [
{
"name": "torquemag.io",
"duplicate": true,
"primary": true,
"id": "e41fa98f-ea80-4654-b229-a9b765d0863a",
"network_type": "AN",
"network_details": {
"dns_config_info": {
"cname": "wp.wpenginepowered.com",
"a_records": [
"127.0.0.1"
]
},
"network_info": {
"status": "ACTIVE",
"ssl": {
"status": "active"
}
}
},
"redirects_to": [
{
"id": "e41fa98f-ea80-4006-b229-a9b765d0863a",
"name": "redirect.com"
}
],
"secure_all_urls": false,
"txt_verified_time": "2026-04-20T16:00:00.007Z",
"txt_verified_domain": "example.com",
"txt_verification_key": "_wpe_verification",
"ownership_status": "TXT_VERIFIED"
}
]
}

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable